CVE-2002-2002
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2011-03-07 21:11:09
NMCO    

[原文]Buffer overflow in libc in Compaq Tru64 4.0F, 5.0, 5.1 and 5.1A allows attackers to execute arbitrary code via long (1) LANG and (2) LOCPATH environment variables.


[CNNVD]Compaq Tru64 C Library缓冲区溢出漏洞(CNNVD-200212-682)

        Compaq Tru64 4.0F,5.0,5.1 和5.1A版本的libc存在缓冲区溢出漏洞。攻击者借助超长(1)LANG和(2)LOCPATH环境变量执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:compaq:tru64:5.1Compaq Tru64 5.1
cpe:/o:compaq:tru64:5.1aCompaq Tru64 5.1a
cpe:/o:compaq:tru64:5.0Compaq Tru64 5.0
cpe:/o:compaq:tru64:4.0fCompaq Tru64 4.0f

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2002
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2002
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-682
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4544
(PATCH)  BID  4544
http://www.iss.net/security_center/static/8863.php
(PATCH)  XF  libc-lang-locpath-bo(8863)
http://cert.uni-stuttgart.de/archive/bugtraq/2002/04/msg00219.html
(VENDOR_ADVISORY)  BUGTRAQ  20020417 [SNS Advisory No.51] Compaq Tru64 UNIX libc Buffer Overflow Vulnerability
http://ftp.support.compaq.com/patches/.new/html/SSRT-541.shtml
(UNKNOWN)  COMPAQ  SSRT0771U
http://ftp.support.compaq.com/patches/.new/html/SSRT-541.shtml
(UNKNOWN)  COMPAQ  SSRT0771U

- 漏洞信息

Compaq Tru64 C Library缓冲区溢出漏洞
高危 缓冲区溢出
2002-12-31 00:00:00 2005-10-20 00:00:00
本地  
        Compaq Tru64 4.0F,5.0,5.1 和5.1A版本的libc存在缓冲区溢出漏洞。攻击者借助超长(1)LANG和(2)LOCPATH环境变量执行任意代码。

- 公告与补丁

        Compaq has stated that the fixes will be included in the next aggregate patch kit for each supported version.
        Below are early-release patches:
        Compaq Tru64 4.0 f PK7 (BL18)
        
        Compaq Tru64 4.0 g PK3 (BL17)
        
        Compaq Tru64 5.0 a PK3 (BL17)
        
        Compaq Tru64 5.1 PK4 (BL18)
        
        Compaq Tru64 5.1 a PK1 (BL1)
        
        Compaq Tru64 5.1
        

- 漏洞信息

60011
Compaq Tru64 libc Multiple Environment Variable Local Overflow
Local Access Required Input Manipulation
Loss of Integrity Patch / RCS
Vendor Verified

- 漏洞描述

- 时间线

2002-04-17 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Compaq has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站